<?php

/**
 * Allows other modules to declare their own Parsers and Processors to change translated content.
 * Hook is invoked after the content is retrieved from Smartling and before it's being
 * saved to the field.
 *
 * @return array
 * Returns an array of key => value, where
 *   key is ParserClassName that implements ISmartlingContentParser
 *   value is array of ProcessorClassNames that implement ISmartlingContentProcessor
 * Please see "alters" folder for their examples.
 */
function hook_smartling_data_processor_info() {
  return array(
    'SmartlingContentImageUrlParser' => array('SmartlingContentImageUrlProcessor'),
    'SmartlingContentMediaParser' => array('SmartlingContentMediaProcessor'),
    'SmartlingContentMediaEncodedParser' => array('SmartlingContentMediaEncodedProcessor'),
  );
}

/**
 * Allows other modules to alter the config above before it's actually applied to the content.
 *
 * @param array $processors
 *   Array of Parsers => Processors that will be applied to the translated content.
 */
function hook_smartling_data_processor_info_alter(array &$processors) {

}